`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    14:51:53 01/23/2021 
// Design Name: 
// Module Name:    DividerForDisplay 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
/* 4[kHz]ɕ */
module DividerForDisplay(iClk, oClk);
	input iClk; // 4[MHz]
	output oClk; // 4[kHz]
	
	reg oClk = 1'b0;
	reg [8:0]cnt = 9'd500;
	
	always @(negedge iClk)
	begin
		if(cnt >= 9'd499)
		begin
			oClk <= ~oClk;
			cnt <= 9'd0;
		end
		else
		begin
			cnt <= cnt + 9'd1;
		end
	end

endmodule
