`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   15:33:24 01/24/2021
// Design Name:   SixteenSegment
// Module Name:   R:/Temp/SixteenSegment/t_SixteenSegment.v
// Project Name:  SixteenSegment
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: SixteenSegment
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module t_SixteenSegment;

	// Inputs
	reg [5:0] iSw;
	reg iClk;
	reg iClkSwA;
	reg iClkSwB;
	reg iRst;

	// Outputs
	wire oA1;
	wire oA2;
	wire oB;
	wire oC;
	wire oD1;
	wire oD2;
	wire oE;
	wire oF;
	wire oG1;
	wire oG2;
	wire oJ;
	wire oK;
	wire oL;
	wire oM;
	wire oN;
	wire oP;
	wire oDis1;
	wire oDis2;
	wire oDis3;
	wire oDis4;

	// Instantiate the Unit Under Test (UUT)
	SixteenSegment uut (
		.oA1(oA1), 
		.oA2(oA2), 
		.oB(oB), 
		.oC(oC), 
		.oD1(oD1), 
		.oD2(oD2), 
		.oE(oE), 
		.oF(oF), 
		.oG1(oG1), 
		.oG2(oG2), 
		.oJ(oJ), 
		.oK(oK), 
		.oL(oL), 
		.oM(oM), 
		.oN(oN), 
		.oP(oP), 
		.oDis1(oDis1), 
		.oDis2(oDis2), 
		.oDis3(oDis3), 
		.oDis4(oDis4), 
		.iSw(iSw), 
		.iClk(iClk), 
		.iClkSwA(iClkSwA), 
		.iClkSwB(iClkSwB), 
		.iRst(iRst)
	);

	initial begin
		// Initialize Inputs
		iSw = 0;
		iClk = 0;
		iClkSwA = 0;
		iClkSwB = 1;
		iRst = 1;

		// Add stimulus here
		forever
			#125 iClk = ~iClk;
	end
	
	initial begin
	
		iSw = 5'h1b; // 0
		#3500000 iClkSwA = 1; iClkSwB = 0;
		#3500000 iClkSwA = 0; iClkSwB = 1;
		
		iSw = 5'h1c; // 1
		#3500000 iClkSwA = 1; iClkSwB = 0;
		#3500000 iClkSwA = 0; iClkSwB = 1;

		iSw = 5'h1d; // 2
		#3500000 iClkSwA = 1; iClkSwB = 0;
		#3500000 iClkSwA = 0; iClkSwB = 1;

		iSw = 5'h1e; // 3
		#3500000 iClkSwA = 1; iClkSwB = 0;

	end
endmodule

